<template>
  <my-modal v-model:open="visible" title="导入卡格式">
    <qm-low-form :params="params" :fields="fields" :label-width="80">
    </qm-low-form>
  </my-modal>
</template>
<script name="AddCardDialog" lang="ts" setup>
import { ref } from "vue";
import { setValueFromObj } from "@/utils/tool";
const visible = defineModel();
const props = defineProps<{ curRow: any }>();

//todo 入参名
const params = ref({
  a: "1",
  b: "",
  c: "",
});
params.value = setValueFromObj(params.value, props.curRow);
const fields = ref([
  {
    prop: "a",
    label: "科目题卡",
    colSpan: 24,
  },
  {
    prop: "b",
    label: "备注",
    colSpan: 24,
    type: "textarea",
  },
  {
    cell: "c",
    label: "选择卡格式",
    colSpan: 24,
  },
]);
</script>
<style lang="less" scoped></style>
